-- Remove the NOT NULL constraint on alert_evaluation.alert_id, and set
-- the foreign key to no action. This enables deleting alerts while leaving
-- alert_evaluation intact. We also want the ids to stay around, so that we
-- know which alert it came from when i.e. matching logs.

PRAGMA foreign_keys = OFF;

CREATE TABLE alert_evaluations_new (
	id INTEGER PRIMARY KEY NOT NULL,
	uuid TEXT NOT NULL UNIQUE,
	alert_id TEXT NOT NULL,
	evaluated_at DOUBLE PRECISION NOT NULL,
	evaluation_start DOUBLE PRECISION NOT NULL,
	evaluation_end DOUBLE PRECISION NOT NULL,
	query TEXT,
	example_groups TEXT NOT NULL,
	error TEXT,
	warning_trigger_count INTEGER NOT NULL DEFAULT 0,
	critical_trigger_count INTEGER NOT NULL DEFAULT 0,
	warning_group_count INTEGER NOT NULL DEFAULT 0,
	critical_group_count INTEGER NOT NULL DEFAULT 0
);

-- Ok because column name/ordering didn't change.
INSERT INTO alert_evaluations_new SELECT * from alert_evaluations;

DROP TABLE alert_evaluations;
ALTER TABLE alert_evaluations_new RENAME TO alert_evaluations;

CREATE INDEX alert_evaluation_evaluation_end
	ON alert_evaluations(evaluation_end);

-- For the evaluation list endpoint.
CREATE INDEX alert_evaluation_total_order ON
	alert_evaluations(evaluation_start, id);


PRAGMA foreign_key_check;

PRAGMA foreign_keys = ON;
