PRAGMA FOREIGN_KEYS = OFF;
CREATE TABLE new_alerts (
        id TEXT PRIMARY KEY NOT NULL,
        project_id TEXT NOT NULL,
        name TEXT NOT NULL,
        enabled BOOLEAN NOT NULL,
        query TEXT NOT NULL,
        query_period DOUBLE PRECISION NOT NULL,
        min_notification_interval DOUBLE PRECISION NOT NULL,
        mute_until DOUBLE PRECISION NOT NULL,
        last_evaluated DOUBLE PRECISION NOT NULL,
        last_triggered_time DOUBLE PRECISION NOT NULL,
        consecutive_failures INTEGER NOT NULL DEFAULT 0,

        UNIQUE (project_id, name),

        FOREIGN KEY (project_id)
                REFERENCES projects (id)
                ON DELETE CASCADE
);

INSERT INTO new_alerts(id, project_id, name, enabled, query, query_period,
	min_notification_interval, mute_until, last_evaluated, last_triggered_time,
	consecutive_failures)
	SELECT id, project_id, name, enabled, query, query_period,
	min_notification_interval, mute_until, last_evaluated, last_triggered_time,
	consecutive_failures from alerts;
DROP TABLE alerts;
ALTER TABLE new_alerts RENAME TO alerts;

PRAGMA FOREIGN_KEYS = ON;
