PRAGMA FOREIGN_KEYS = OFF;

CREATE TABLE new_pending_notification_targets (
        notification_id BIGINT NOT NULL,
        target_id TEXT NOT NULL,
        permanent_error_count INTEGER NOT NULL,
        transient_error_count INTEGER NOT NULL,
        last_tried_at DOUBLE PRECISION NOT NULL,
        last_error_message TEXT,

        PRIMARY KEY (target_id, notification_id),

        FOREIGN KEY (notification_id)
                REFERENCES notifications (id)
                ON DELETE CASCADE,

        FOREIGN KEY (target_id)
                REFERENCES targets (id)
                ON DELETE CASCADE
);

INSERT INTO new_pending_notification_targets(notification_id, target_id,
	permanent_error_count, transient_error_count, last_tried_at,
	last_error_message)
	SELECT notification_id, target_id,
	permanent_error_count, transient_error_count, last_tried_at,
	last_error_message
	FROM pending_notification_targets;

DROP  TABLE pending_notification_targets;
ALTER TABLE new_pending_notification_targets RENAME TO
	pending_notification_targets;

CREATE INDEX pending_notification_target_notification_id ON
	pending_notification_targets(notification_id);

PRAGMA FOREIGN_KEYS = ON;
