PRAGMA foreign_keys = OFF;

CREATE TABLE notifications_tmp (
	id INTEGER PRIMARY KEY NOT NULL,
	uuid TEXT NOT NULL UNIQUE,
	alert_evaluation_id TEXT NOT NULL,
	created_at DOUBLE PRECISION NOT NULL,
	materialized_alert TEXT NOT NULL,
	state TEXT NOT NULL,

	FOREIGN KEY (alert_evaluation_id)
		REFERENCES alert_evaluations (uuid)
		ON DELETE CASCADE,

	CHECK (state in (
		'pending',
		'complete'
	))
);

INSERT INTO notifications_tmp SELECT * FROM notifications;
DROP TABLE notifications;
ALTER TABLE notifications_tmp RENAME TO notifications;

CREATE INDEX notifications_created_at ON notifications(created_at);
CREATE INDEX notifications_total_order ON notifications(created_at, id);
CREATE INDEX notifications_state ON notifications(state);

PRAGMA foreign_key_check;

PRAGMA foreign_keys = ON;
